#
#    Makefile for ew2moledb - Unix version
# 

# CC=cc

CFLAGS = -g -D_REENTRANT $(GLOBALFLAGS)

MYSQL_CONNECTOR_C_PATH_BUILD=../mysql-connector-c-build
# In case of need, change the appropriate path to 32bit mysql_config executable
MYSQL_CONFIG_PROG_PATH = $(MYSQL_CONNECTOR_C_PATH_BUILD)/bin
MYSQL_CONFIG_PROG = $(MYSQL_CONFIG_PROG_PATH)/mysql_config

CFLAGS += `$(MYSQL_CONFIG_PROG) --cflags`

APP = ew2moledb
B = $(EW_HOME)/$(EW_VERSION)/bin
L = $(EW_HOME)/$(EW_VERSION)/lib

BINARIES = ew2moledb.o ew2moledb_tracebuf.o ew2moledb_pickcoda.o ew2moledb_quakelink.o\
	   ew2moledb_strongmotionII.o ew2moledb_magnitude.o ew2moledb_arc.o \
	   ew2moledb_sendmail.o ew2moledb_mysql.o ew2moledb_error.o \
	   $L/read_arc.o $L/rw_mag.o $L/rw_strongmotionII.o $L/rdpickcoda.o $L/chron3.o  $L/sendmail.o \
	   $L/mem_circ_queue.o $L/kom.o $L/swap.o \
	   $L/getsysname_ew.o $L/getutil.o $L/logit_mt.o $L/transport.o \
	   $L/sleep_ew.o $L/time_ew.o $L/threads_ew.o $L/sema_ew.o  $L/dirops_ew.o

all: dynamic

dynamic: $B/$(APP)

static: $(BINARIES)
	$(CC) -o $B/ew2moledb $(CFLAGS) $(LDFLAGS) $(BINARIES) $(MYSQL_CONNECTOR_C_PATH_BUILD)/lib/libmysqlclient.a -mt -lposix4 -lthread -lpthread -lsocket -lnsl -lm

$B/$(APP): $(BINARIES)
	$(CC) -o $B/ew2moledb $(CFLAGS) $(LDFLAGS) `$(MYSQL_CONFIG_PROG) --libs_r` $(BINARIES)  -mt -lposix4 -lthread -lm

.c.o:
	$(CC) -c $(CFLAGS)  $<


lint:
	lint ew2moledb.c $(GLOBALFLAGS)

# Clean-up rules
clean:
	rm -f a.out core *.o

clean_bin:
	rm -f $B/$(APP)
